org.icefaces.ace.component.listcontrol

## Enum ListControlBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ListControlBase.PropertyKeys>
  - - org.icefaces.ace.component.listcontrol.ListControlBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ListControlBase.PropertyKeys>
  Enclosing class:
    ListControlBase

      protected static enum ListControlBase.PropertyKeys
      extends java.lang.Enum<ListControlBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `allLeftClass`
    `allRightClass`
    `controlClass`
    `footerClass`
    `footerStyle`
    `format`
    `headerClass`
    `headerStyle`
    `leftClass`
    `position`
    `renderContext`
    `rightClass`
    `selector`
    `spacerClass`
    `style`
    `styleClass`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ListControlBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListControlBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### allLeftClass

          public static final ListControlBase.PropertyKeys allLeftClass

    - #### allRightClass

          public static final ListControlBase.PropertyKeys allRightClass

    - #### controlClass

          public static final ListControlBase.PropertyKeys controlClass

    - #### footerClass

          public static final ListControlBase.PropertyKeys footerClass

    - #### footerStyle

          public static final ListControlBase.PropertyKeys footerStyle

    - #### format

          public static final ListControlBase.PropertyKeys format

    - #### headerClass

          public static final ListControlBase.PropertyKeys headerClass

    - #### headerStyle

          public static final ListControlBase.PropertyKeys headerStyle

    - #### leftClass

          public static final ListControlBase.PropertyKeys leftClass

    - #### position

          public static final ListControlBase.PropertyKeys position

    - #### rightClass

          public static final ListControlBase.PropertyKeys rightClass

    - #### selector

          public static final ListControlBase.PropertyKeys selector

    - #### spacerClass

          public static final ListControlBase.PropertyKeys spacerClass

    - #### style

          public static final ListControlBase.PropertyKeys style

    - #### styleClass

          public static final ListControlBase.PropertyKeys styleClass

    - #### renderContext

          public static final ListControlBase.PropertyKeys renderContext

  - ### Method Detail

    - #### values

          public static ListControlBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListControlBase.PropertyKeys c : ListControlBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListControlBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ListControlBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.